Botan 2.19.5 Crypto and TLS for C&

Namespaces | Enumerations | Functions
tls_magic.h File Reference
`#include <botan/types.h>`

Go to the source code of this file.

## Namespaces
namespace | Botan
namespace | Botan::TLS

## Enumerations
enum | Botan::TLS::Connection_Side { Botan::TLS::CLIENT = 1 , Botan::TLS::SERVER = 2 }
enum | Botan::TLS::Handshake_Type { Botan::TLS::HELLO_REQUEST = 0 , Botan::TLS::CLIENT_HELLO = 1 , Botan::TLS::SERVER_HELLO = 2 , Botan::TLS::HELLO_VERIFY_REQUEST = 3 , Botan::TLS::NEW_SESSION_TICKET = 4 , Botan::TLS::CERTIFICATE = 11 , Botan::TLS::SERVER_KEX = 12 , Botan::TLS::CERTIFICATE_REQUEST = 13 , Botan::TLS::SERVER_HELLO_DONE = 14 , Botan::TLS::CERTIFICATE_VERIFY = 15 , Botan::TLS::CLIENT_KEX = 16 , Botan::TLS::FINISHED = 20 , Botan::TLS::CERTIFICATE_URL = 21 , Botan::TLS::CERTIFICATE_STATUS = 22 , Botan::TLS::HANDSHAKE_CCS = 254 , Botan::TLS::HANDSHAKE_NONE = 255 }
enum | Botan::TLS::Record_Type { Botan::TLS::CHANGE_CIPHER_SPEC = 20 , Botan::TLS::ALERT = 21 , Botan::TLS::HANDSHAKE = 22 , Botan::TLS::APPLICATION_DATA = 23 , Botan::TLS::NO_RECORD = 256 }
enum | Botan::TLS::Size_Limits { Botan::TLS::TLS_HEADER_SIZE = 5 , Botan::TLS::DTLS_HEADER_SIZE = TLS_HEADER_SIZE + 8 , Botan::TLS::MAX_PLAINTEXT_SIZE = 16*1024 , Botan::TLS::MAX_COMPRESSED_SIZE = MAX_PLAINTEXT_SIZE + 1024 , Botan::TLS::MAX_CIPHERTEXT_SIZE = MAX_COMPRESSED_SIZE + 1024 }

## Functions
const char * | Botan::TLS::handshake_type_to_string (Handshake_Type type)